function [Q,salpha,chi2] = CurveTest1ord(y,x,a,b)
%J[utBbg̊m炵̌
    Y = a.*x+b;
    figure;plot(x,y,'+',x,Y,'r','LineWidth',2)
    grid on;hold on
    N = length(y);
    sy = 0.25/sqrt(N);
    sx = std(x);
    salpha = sy*[sqrt(mean(x.^2)) 1]/sqrt(N)/sx;
    chi2 = sum((y-Y).^2)/sy^2;
    Q = 1 - gammainc(chi2/2,(N-2)/2);
    SlopMsg = sprintf('slope=%f',a);
    text(2.3,3.2e-3,SlopMsg,'FontWeight','bold');
    InterceptMsg = sprintf('intercept=%f',b);
    text(1.5,1.2e-3,InterceptMsg,'FontWeight','bold');
    chiMsg = sprintf('Chi-Squard=%f',sy);
    text(3,2.2e-3,chiMsg,'FontWeight','bold');
    QMsg = sprintf('Q(chi^2,%d) = %f',(N-2),Q);
    text(3,1.7e-3,QMsg,'FontWeight','bold');
    legend('Observ Data','Presumption Curve', ...
           'Location','NorthWest')
    title('Basic statistics of Voltage-Current curve')
    xlabel('Volts(V)'),ylabel('Currents(A)')
